<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = observation / the observation to fill
                        managedBean
                        sectionToReRender -->
    <s:div id="fillingObservationDiv" styleClass="row">
        <div class="col-lg-6">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.SetID']}</ui:define>
                    <h:outputText value="#{observation.setId}"/>
                </s:decorate>
            </dl>
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{observation.simulatedActor.keyword.equals('ANALYZER')}">
                    <ui:define name="label">#{messages['gazelle.ordermanager.RunID']}</ui:define>
                    <ui:param name="id" value="runid"/>
                    <rich:inputNumberSpinner value="#{observation.subID}" id="runid" required="true"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx11"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationResultStatus']}</ui:define>
                    <h:selectOneMenu value="#{observation.resultStatus}" required="true" id="obx11"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('resultStatus')}"/>
                        <a4j:ajax event="change" render="fillingObservationDiv" limitRender="true"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx2"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ValueType']}</ui:define>
                    <h:selectOneMenu value="#{observation.valueType}" required="#{not empty observation.value}"
                                     id="obx2" styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('valueType')}"/>
                        <a4j:ajax event="change" render="fillingObservationDiv" limitRender="true"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{managedBean.observationParent.equals('order')}">
                    <ui:param name="id" value="obx3"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationIdentifier']}</ui:define>
                    <h:selectOneMenu value="#{observation.identifier}" id="obx3" styleClass="form-control gzl-select-text"
                                     required="#{managedBean.observationParent.equals('order')}">
                        <f:selectItems value="#{valueSet.getListOfConcepts('orderObservationIdentifier')}"/>
                        <a4j:ajax event="change" render="fillingObservationDiv" limitRender="true"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{managedBean.observationParent.equals('specimen')}">
                    <ui:param name="id" value="obx3b"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationIdentifier']}</ui:define>
                    <h:selectOneMenu value="#{observation.identifier}" id="obx3b" styleClass="form-control"
                                     required="#{managedBean.observationParent.equals('specimen')}">
                        <f:selectItems value="#{valueSet.getListOfConcepts('specimenObservationIdentifier')}"/>
                        <a4j:ajax event="change" render="fillingObservationDiv" limitRender="true"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{not observation.simulatedActor.keyword.equals('ANALYZER')}">
                    <ui:param name="id" value="obx4"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationSubID']}</ui:define>
                    <h:inputText value="#{observation.subID}" id="obx4" styleClass="form-control"
                                 requiredMessage="Observation subID is required"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx5"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationValue']}</ui:define>
                    <h:inputText value="#{observation.value}" id="obx5" styleClass="form-control"
                                 required="#{not empty observation.resultStatus          and not observation.resultStatus.equals('D')         and not observation.resultStatus.equals('I')         and not observation.resultStatus.equals('D')}">
                        <a4j:ajax event="blur" render="fillingObservationDiv" limitRender="true"/>
                    </h:inputText>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx6"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.Units']}</ui:define>
                    <h:selectOneMenu value="#{observation.units}" id="obx6" styleClass="form-control"
                                     required="#{not empty observation.valueType        and (observation.valueType.equals('NM')        or observation.valueType.equals('SN'))}">
                        <f:selectItems value="#{valueSet.getListOfConcepts('units')}"/>
                        <a4j:ajax event="change" render="fillingObservationDiv"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx7"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ReferencesRange']}</ui:define>
                    <h:inputText value="#{observation.referencesRange}" id="obx7" styleClass="form-control"/>
                </s:decorate>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx8"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.AbnormalFlags']}</ui:define>
                    <h:panelGrid columns="3">
                        <a4j:repeat value="#{observation.abnormalFlags}" var="flag"
                                    rendered="#{not empty observation.abnormalFlags}">
                            <h:outputText value="#{flag},"/>
                        </a4j:repeat>
                        <gdk:spacer width="5px"/>
                        <h:selectOneMenu value="#{observation.selectedAbnormalFlag}" id="obx8" styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('abnormalFlag')}"/>
                            <a4j:ajax event="change" render="obx8"/>
                        </h:selectOneMenu>
                    </h:panelGrid>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx13"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.AccessChecks']}</ui:define>
                    <h:selectOneMenu value="#{observation.accessChecks}" id="obx13" styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('accessCheck')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{not observation.simulatedActor.keyword.equals('ANALYZER')}">
                    <ui:param name="id" value="obx14"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.DateTimeOfObservation']}</ui:define>
                    <a4j:outputPanel layout="block">
                        <rich:calendar value="#{observation.observationDateTime}"
                                       locale="#{localeSelector.localeString}" id="obx14"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="true"
                                       required="#{not empty observation.value}"/>
                    </a4j:outputPanel>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx15"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ProducersId']}</ui:define>
                    <h:inputText value="#{observation.producerId}" id="obx15" styleClass="form-control">
                        <a4j:ajax event="blur" render="fillingObservationDiv"/>
                    </h:inputText>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx16"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ResponsibleObserver']}</ui:define>
                    <h:selectOneMenu value="#{observation.responsibleObserver}" id="obx16" styleClass="form-control"
                                     required="#{observation.simulatedActor.keyword.equals('ANALYZER') or (empty observation.producerId         and (observation.resultStatus.equals('O')        or obseration.resultStatus.equals('I')))}">
                        <f:selectItems value="#{valueSet.getListOfConcepts('doctor')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx17"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationMethod']}</ui:define>
                    <h:inputText value="#{observation.observationMethod}" id="obx17" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx18"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.EquipmentInstanceIdentifier']}</ui:define>
                    <h:inputText value="#{observation.equipment}" id="obx18" styleClass="form-control"
                                 required="#{observation.simulatedActor.keyword.equals('ANALYZER')}"
                                 requiredMessage="Equipment instance identifier is required"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="obx19"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.DateTimeOfAnalysis']}</ui:define>
                    <a4j:outputPanel layout="block">
                        <rich:calendar value="#{observation.analysisDateTime}" locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" id="obx19"
                                       required="#{observation.simulatedActor.keyword.equals('ANALYZER') or not empty observation.value}"/>
                    </a4j:outputPanel>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{observation.simulatedActor.keyword.equals('ANALYZER') or observation.simulatedActor.keyword.equals('ANALYZER_MGR')}">
                    <ui:param name="id" value="obx29"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ObservationType']}</ui:define>
                    <h:selectOneMenu value="#{observation.observationType}" id="obx29" styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('OBS_TYPE')}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </div>
        </div>
    </s:div>
</ui:composition>
